资源中心/网络服务/网络服务相关接口/防火墙相关接口
PUTVPC Firewall Operations起始版本 4.0.0同步需要认证
更新防火墙IP或端口模板
更新防火墙IP或端口模板
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
uuidString必填资源的UUID,唯一标示该资源
请求体字段
updatefirewallipsettemplateObject必填updatefirewallipsettemplate 请求体结构
nameString资源名称
sourceValueString可选。
destValueString可选。
typeIpSetType必填类型。
systemTagsList系统标签
userTagsList用户标签
响应状态
请求地址
PUT/zstack/v1/vpcfirewalls/ipset/templates/{uuid}/actions
/zstack/v1/vpcfirewalls/ipset/templates/{uuid}/actions
请求示例
curl -X PUT 'http://{host}/zstack/v1/vpcfirewalls/ipset/templates/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatefirewallipsettemplate":{"name":"<name>","sourceValue":"<sourceValue>","destValue":"<destValue>","type":"<type>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "name": "ipset-template", "sourceValue": "192.168.1.2", "destValue": "192.168.1.1,10.0.0.1/24", "type": "ip" } }变更历史
此 API 暂无变更历史记录。
